ServerEvents.recipes(event => {
    event.remove({id: 'bloodmagic:altar/slate'})
    event.remove({id: 'bloodmagic:altar/weakbloodorb'})
    event.remove({id: 'bloodmagic:blood_altar'})
    event.remove({id: 'bloodmagic:blood_rune_blank'})
    event.remove({id: 'bloodmagic:soul_forge'})
    event.remove({id: 'bloodmagic:alchemy_table'})
    event.remove({id: 'bloodmagic:sacrificial_dagger'})
})

ServerEvents.recipes(event => {
    //Blood Altar
    event.shaped('bloodmagic:altar',
        ['1 1','121','333'], {
        3: 'evilcraft:dark_blood_brick',
        2: 'evilcraft:garmonbozia',
        1: '#forge:ingots/ostrum'
    }).id('bloodmagic:altar')
    
    //Blank Rune
    event.shaped('bloodmagic:blankrune',
      ['121','131','111'], {
      1: 'immersiveengineering:concrete',
      2: 'bloodmagic:blankslate',
      3: '#bloodmagic:orbs'
  }).id('bloodmagic:blood_rune_blank')
    
  //Hellfire Forge
  event.shaped('bloodmagic:soulforge',
    ['1 1','232','242'], {
    1: '#forge:ingots/fiery',
    2: 'bloodmagic:blankrune',
    3: 'bloodmagic:blankslate',
    4: '#forge:storage_blocks/fiery'
  }).id('bloodmagic:soul_forge')
    
  //Alchemy Table
  event.shaped('bloodmagic:alchemytable',
    ['111','232','454'], {
    1: 'bloodmagic:blankrune',
    2: '#minecraft:planks',
    3: 'deep_aether:stratus_block',
    4: '#forge:ingots/fiery',
    5: 'bloodmagic:infusedslate'
  }).id('bloodmagic:alchemy_table')

  //Weak Blood Orb
  event.custom ({
      "type": "bloodmagic:altar",
      "input": {
        "item": "actuallyadditions:empowered_diamatine_crystal_block"
      },
      "output": {
        "item": "bloodmagic:weakbloodorb"
      },
      "upgradeLevel": 0,
      "altarSyphon": 2500,
      "consumptionRate": 5,
      "drainRate": 5
  }).id('bloodmagic:altar/weakbloodorb')

    //Blank Slate
    event.custom ({
        "type": "bloodmagic:altar",
        "input": {
          "tag": "forge:gems/source"
        },
        "output": {
          "item": "bloodmagic:blankslate"
        },
        "upgradeLevel": 0,
        "altarSyphon": 1000,
        "consumptionRate": 5,
        "drainRate": 5
    }).id('bloodmagic:altar/slate')

    //Sacrificial Knife
    event.custom({
      "type": "actuallyadditions:empowering",
      "base": {
        "item": "allthemodium:allthemodium_sword"
      },
      "color": 6522834,
      "energy": 5000,
      "modifiers": [
        {
          "item": "evilcraft:blood_extractor"
        },
        {
          "item": "evilcraft:dark_blood_brick"
        },
        {
          "item": "evilcraft:hardened_blood"
        },
        {
          "item": "evilcraft:dark_blood_brick"
        }
      ],
      "result": {
        "item": "bloodmagic:sacrificialdagger"
      },
      "time": 50
    }).id('bloodmagic:custom/sacrificial_dagger')
})